> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get IMEI catalog entry by IMEI number

> Operacion: Get IMEI catalog entry by IMEI number.



## OpenAPI

````yaml /generated/specs/settings.json get /api/v1/catalogs/imei/{imei}
openapi: 3.0.0
info:
  title: Raul API - Configuraciones
  description: Catalogos, tipos, plantillas y configuraciones maestras del sistema.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags:
  - name: Catalogs
    description: Catálogos IMEI y Chip
paths:
  /api/v1/catalogs/imei/{imei}:
    get:
      tags:
        - Catalogs
      summary: Get IMEI catalog entry by IMEI number
      description: 'Operacion: Get IMEI catalog entry by IMEI number.'
      operationId: CatalogsController_getImeiByImei
      parameters:
        - name: imei
          required: true
          in: path
          description: IMEI number (15 digits)
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImeiCatalogResponseDto'
        '404':
          description: IMEI not found
      security:
        - bearerAuth: []
components:
  schemas:
    ImeiCatalogResponseDto:
      type: object
      properties:
        id:
          type: number
          description: Unique identifier
        imei:
          type: string
          description: IMEI number (15 digits)
        serial:
          type: object
          description: Serial number
        model:
          type: object
          description: Device model
        productCode:
          type: object
          description: Product code
        specId:
          type: object
          description: Specification ID
        platformId:
          type: object
          description: Platform ID
        modelPlatform:
          type: object
          description: Model platform name
        activityStatus:
          type: object
          description: Activity status
        currentFirmware:
          type: object
          description: Current firmware version
        currentConfiguration:
          type: object
          description: Current configuration
        companyName:
          type: object
          description: Company name
        groupName:
          type: object
          description: Group name
        syncedAt:
          format: date-time
          type: string
          description: Last sync date
        createdAt:
          format: date-time
          type: string
          description: Creation date
        updatedAt:
          format: date-time
          type: string
          description: Last update date
      required:
        - id
        - imei
        - syncedAt
        - createdAt
        - updatedAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````